## kmymoney2-trinity 14.1.5

=== CMakeLists.txt ===
############################################
#                                          #
#  Improvements and feedbacks are welcome  #
#                                          #
#  This file is released under GPL >= 3    #
#                                          #
############################################


##### set project version ########################

include( TDEVersion )
cmake_minimum_required( VERSION ${TDE_CMAKE_MINIMUM_VERSION} )
tde_set_project_version( )


#### general package setup

project( kmymoney2 )
set( APP_VERSION 1.0.5 )


#### include essential cmake modules

include( FindPkgConfig          )
include( CheckFunctionExists    )
include( CheckSymbolExists      )
include( CheckIncludeFile       )
include( CheckLibraryExists     )
include( CheckCSourceCompiles   )
include( CheckCXXSourceCompiles )


#### include our cmake modules

include( TDEMacros )
include( kmm-macros.cmake )


##### setup install paths

include( TDESetupPaths )
tde_setup_paths( )


##### optional stuff

option( WITH_ALL_OPTIONS    "Enable all optional support"                       OFF )
option( WITH_GCC_VISIBILITY "Enable fvisibility and fvisibility-inlines-hidden" ${WITH_ALL_OPTIONS} )
option( WITH_LIBOFX         "Enable support for OFX"                            ${WITH_ALL_OPTIONS} )


##### user requested modules

option( BUILD_ALL             "Build all"                     ON           )
option( BUILD_DOC             "Build documentation"           ${BUILD_ALL} )
option( BUILD_TRANSLATIONS    "Build translations"            ${BUILD_ALL} )
option( BUILD_DESIGNER_PLUGIN "Build plugin for TQt Designer" ${BUILD_ALL} )
option( BUILD_DEVELOPER_DOCS  "Build developer documentation" ${BUILD_ALL} )
option( BUILD_PDF_DOCS        "Build PDF documentation"       ${BUILD_ALL} )


##### configure checks

enable_testing( )
include( ConfigureChecks.cmake )


###### global compiler settings

add_definitions( -DHAVE_CONFIG_H )

set( CMAKE_CXX_FLAGS "${CMAKE_CXX_FLAGS} ${TQT_CXX_FLAGS}" )
set( CMAKE_SHARED_LINKER_FLAGS "${CMAKE_SHARED_LINKER_FLAGS} -Wl,--no-undefined" )
set( CMAKE_MODULE_LINKER_FLAGS "${CMAKE_MODULE_LINKER_FLAGS} -Wl,--no-undefined" )


##### directories

add_subdirectory( kmymoney2 )
add_subdirectory( libkdchart )
add_subdirectory( libkgpgfile )


##### other data

tde_conditional_add_project_docs( BUILD_DOC )
tde_conditional_add_project_translations( BUILD_TRANSLATIONS )
tde_conditional_add_subdirectory( BUILD_DEVELOPER_DOCS developer-doc )


##### write configure files

configure_file( config.h.cmake config.h @ONLY )

=== libkdchart/CMakeLists.txt ===

include_directories(
  ${CMAKE_BINARY_DIR}
  ${CMAKE_CURRENT_BINARY_DIR}
  ${CMAKE_CURRENT_SOURCE_DIR}
  ${TDE_INCLUDE_DIR}
  ${TQT_INCLUDE_DIRS}
)

link_directories(
  ${TQT_LIBRARY_DIRS}
)


##### kmm_kdchart (static)

tde_add_library( kmm_kdchart STATIC_PIC AUTOMOC
  SOURCES
    KDChart.cpp KDChartAreaPainter.cpp KDChartAxesPainter.cpp
    KDChartAxisParams.cpp KDChartBarPainter.cpp KDChartBaseSeries.cpp
    KDChartBWPainter.cpp KDChartCustomBox.cpp KDChartDataIntern.cpp
    KDChartHiLoPainter.cpp KDChartLinesPainter.cpp KDChartPainter.cpp
    KDChartParams.cpp KDChartParams_frame.cpp KDChartParams_io.cpp
    KDChartPiePainter.cpp KDChartPlaneSeries.cpp KDChartPolarPainter.cpp
    KDChartPropertySet.cpp KDChartRingPainter.cpp KDChartSeriesCollection.cpp
    KDChartTableBase.cpp KDChartTextPiece.cpp KDChartVectorSeries.cpp
    KDChartVectorTable.cpp KDChartWidget.cpp KDDrawText.cpp KDFrame.cpp
    KDFrameProfileSection.cpp KDXMLTools.cpp KDChartEnums.cpp
    KDChartAxisParamsWrapper.cpp KDChartCustomBoxWrapper.cpp
    KDChartParamsWrapper.cpp KDChartTableDataWrapper.cpp
)


##### kmm_kdchart (shared)

configure_file( ${TDE_CMAKE_TEMPLATES}/tde_dummy_cpp.cmake dummy.cpp COPYONLY )

tde_add_library( kmm_kdchart SHARED AUTOMOC
  SOURCES
    dummy.cpp

  VERSION 0.0.0

  EMBED
    kmm_kdchart-static

  LINK
    tdecore-shared

  DESTINATION ${LIB_INSTALL_DIR}
)

=== libkgpgfile/CMakeLists.txt ===

include_directories(
  ${CMAKE_BINARY_DIR}
  ${CMAKE_SOURCE_DIR}
  ${CMAKE_CURRENT_BINARY_DIR}
  ${CMAKE_CURRENT_SOURCE_DIR}
  ${TDE_INCLUDE_DIR}
  ${TQT_INCLUDE_DIRS}
)

link_directories(
  ${TQT_LIBRARY_DIRS}
)


##### kgpgfile (static)

tde_add_library( kgpgfile STATIC_PIC AUTOMOC
  SOURCES
    kgpgfile.cpp

  LINK
    tdecore-shared tdeui-shared tdeio-shared
)


##### other data

kmm_install_includes(
  FILES kgpgfile.h
  DESTINATION ${INCLUDE_INSTALL_DIR}/kmymoney
)

=== kmymoney2/plugins/ofximport/CMakeLists.txt ===

add_subdirectory( dialogs )


include_directories(
  ${CMAKE_BINARY_DIR}
  ${CMAKE_SOURCE_DIR}
  ${CMAKE_BINARY_DIR}/include
  ${CMAKE_CURRENT_BINARY_DIR}
  ${CMAKE_CURRENT_SOURCE_DIR}
  ${CMAKE_CURRENT_BINARY_DIR}/dialogs
  ${CMAKE_CURRENT_SOURCE_DIR}/dialogs
  ${TDE_INCLUDE_DIR}
  ${TQT_INCLUDE_DIRS}
)

link_directories(
  ${TQT_LIBRARY_DIRS}
)


##### kmm_ofximport (kpart)

tde_add_kpart( kmm_ofximport AUTOMOC
  SOURCES
    ofximporterplugin.cpp
    ofxpartner.cpp

  LINK
    ofximport-dialogs-static
    kmm_plugin-shared kmm_mymoney-shared
    tdecore-shared tdeui-shared tdeio-shared tdehtml-shared
    ${LIBOFX_LIBRARIES}

  DEPENDENCIES
    kmm-includes

  DESTINATION ${PLUGIN_INSTALL_DIR}
)


##### other data

install(
  FILES kmm_ofximport.rc
  DESTINATION ${DATA_INSTALL_DIR}/kmm_ofximport
)

tde_create_translated_desktop(
  SOURCE kmm_ofximport.desktop
  DESTINATION ${SERVICES_INSTALL_DIR}
)

=== kmymoney2/wizards/newaccountwizard/CMakeLists.txt ===

include_directories(
  ${CMAKE_BINARY_DIR}
  ${CMAKE_SOURCE_DIR}
  ${CMAKE_BINARY_DIR}/include
  ${CMAKE_CURRENT_BINARY_DIR}
  ${CMAKE_CURRENT_SOURCE_DIR}
  ${CMAKE_CURRENT_BINARY_DIR}/..
  ${CMAKE_CURRENT_BINARY_DIR}/../wizardpages
  ${TDE_INCLUDE_DIR}
  ${TQT_INCLUDE_DIRS}
)

link_directories(
  ${TQT_LIBRARY_DIRS}
)


##### newaccountwizard (static)

tde_add_library( newaccountwizard STATIC_PIC AUTOMOC
  SOURCES
    knewaccountwizard.cpp
    kinstitutionpagedecl.ui
    kaccounttypepagedecl.ui
    kbrokeragepagedecl.ui
    kschedulepagedecl.ui
    kgeneralloaninfopagedecl.ui
    kloandetailspagedecl.ui
    kloanpaymentpagedecl.ui
    kloanschedulepagedecl.ui
    kloanpayoutpagedecl.ui
    khierarchypagedecl.ui
    kaccountsummarypagedecl.ui

  DEPENDENCIES
    kmm-includes
    dialogs-static
)

## kmymoney2-trinity 3.5.13.2

=== debian/changelog ===
kmymoney2-trinity (4:3.5.13.2-0ubuntu12.04.0+0) precise; urgency=low

  * Automated git build for v3.5.13.2

 -- Slávek Banko <slavek.banko@axis.cz>  Sun, 02 Jun 2013 19:52:13 +0200

kmymoney2-trinity (1.0.4-0ubuntu0) maverick; urgency=low

  * Trinity build

 -- Timothy Pearson <kb9vqf@pearsoncomputing.net>  Mon, 04 Jul 2010 17:25:00 -0600

kmymoney2 (1.0.4-0ubuntu1) lucid; urgency=low

  * New upstream bugfix release

 -- Jonathan Thomas <echidnaman@kubuntu.org>  Sun, 18 Apr 2010 15:20:40 -0400

kmymoney2 (1.0.3-0ubuntu1) lucid; urgency=low

  * New upstream release
  * Switch to source format 3.0 for a smaller tarball to upload

 -- Jonathan Thomas <echidnaman@kubuntu.org>  Thu, 18 Feb 2010 13:09:45 -0500

kmymoney2 (1.0.2-1ubuntu1) lucid; urgency=low

  * Merge with Debian Testing, remaining change:
    - Compile --without-arts since aRts is no longer around

 -- Jonathan Thomas <echidnaman@kubuntu.org>  Tue, 03 Nov 2009 12:51:50 -0500

kmymoney2 (1.0.2-1) unstable; urgency=low

  * New upstream release.

 -- Fathi Boudra <fabo@debian.org>  Mon, 05 Oct 2009 10:01:13 +0200

kmymoney2 (1.0.2-0ubuntu1) karmic; urgency=low

  * Sync with Debian
  * New upstream release (LP: #432725)
  * Compile --without-arts since aRts is no longer around

 -- Jonathan Thomas <echidnaman@kubuntu.org>  Thu, 17 Sep 2009 19:45:56 -0400

kmymoney2 (1.0.0-1) unstable; urgency=low

  * New upstream release. (Closes: #542503)
    - fix a crash when opening a custom report caused by an invalid chart type.
      (Closes: #522354)
  * Update debian/control:
    - Cleanup build dependency. Remove cdbs, gs-common, html2ps and
      libxml++2.6-dev.
    - Add libsqlite3-dev build dependency.
    - Bump Standards-Version from 3.8.0 to 3.8.3 (add debian/README.source).
  * Update debian/copyright:
    - Add Alvaro Soliverez.
    - Add Qt3 SQLite3 Library copyright.
  * Rename debian/docs to debian/kmymoney2.docs file.
  * Update debian/kmymoney2.install:
    - Add libsqlite3.so (Qt3 SQLite3 driver).
  * Remove files:
    - debian/kmymoney2.lintian-overrides
    - debian/kmymoney2.postinst
    - debian/kmymoney2.postrm
  * Update debian/rules:
    - Convert to dh usage.
    - Add a workaround for libsqlite3.so installation.

 -- Fathi Boudra <fabo@debian.org>  Sat, 22 Aug 2009 23:49:59 +0200

kmymoney2 (0.9.3-1) unstable; urgency=low

  * New upstream release. (Closes: #516980)
  * Fix some lintian warnings:
    - Build-depends on chrpath to remove RPATH.
    - Add missing ${misc:Depends}.
  * Update copyright. Some informations were wrong.
  * Update installed files: add OFX plugin. (Closes: #517145)
  * Cleanup lintian overrides.
  * Add postinst and postrm scripts for update-menus call and dh_desktop
    usage.
  * Update rules: call dh_desktop.

 -- Fathi Boudra <fabo@debian.org>  Sun, 08 Mar 2009 14:00:54 +0100

kmymoney2 (0.9.2-1) unstable; urgency=low

  * New upstream release
  * Update lintian-overrides libkmm-mymoney5
  * Add Build-Depends: libxml++2.6-dev

 -- Mark Purcell <msp@debian.org>  Tue, 21 Oct 2008 22:49:57 +1100

kmymoney2 (0.9-3) unstable; urgency=low

  * Upgrade to Standards-Version: 3.8.0 - no changes necessary
  * Remove unnecessary quilt Build-Depends: Fixes lintian:quilt-build-
    dep-but-no-series-file
  * Cleanup diff - Fixes lintian:patch-system-but-direct-changes-in-diff
  * Add lintian-overrides - Fixes lintian:no-symbols-control-file
  * Set debhelper compatibility level 7

 -- Mark Purcell <msp@debian.org>  Tue, 09 Sep 2008 21:47:40 +1000

kmymoney2 (0.9-2) unstable; urgency=low

  * Add kmymoney-dev package to fix kmymoney2-plugin-aqbanking FTBFS.
    (Closes: #482625)

 -- Fathi Boudra <fabo@debian.org>  Sat, 24 May 2008 18:40:44 +0200

kmymoney2 (0.9-1) unstable; urgency=low

  * New upstream release. (Closes: #360022, #480487)
  * Recommend kmymoney2-plugin-aqbanking. Thanks to Micha Lenk for his work.
    (Closes: #434278)
  * Split architecture independent data into kmymoney2-common package.
    (Closes: #473054)
  * Update copyright file: add KDChart copyright.

 -- Fathi Boudra <fabo@debian.org>  Sat, 17 May 2008 08:55:20 +0200

kmymoney2 (0.8.9-1) unstable; urgency=low

  * New upstream release. (Closes: #472827)
  * Remove patches merged upstream:
    * 07_ofximport_ldflags
    * 08_remove_deprecated_miniicon
    * 10_fix_gcc4.3

 -- Fathi Boudra <fabo@debian.org>  Sat, 05 Apr 2008 10:43:03 +0200

kmymoney2 (0.8.8-2) unstable; urgency=low

  [ Ana Beatriz Guerrero Lopez ]
  * Team upload to address FTBFS with GCC 4.3.
  * Patch to fix FTBFS with GCC 4.3. (Closes: #455675)

 -- Debian KDE Extras Team <pkg-kde-extras@lists.alioth.debian.org>  Sun, 23 Mar 2008 18:52:44 +0100

kmymoney2 (0.8.8-1) unstable; urgency=low

  * New upstream release. (Closes: #451785, #434278, #455675, #460414)

  [Fathi Boudra]
  * Bump compat to 6.
  * Update my e-mail address.
  * Bump debhelper to 6.
  * Switch to quilt patch system.
  * Replace automake1.9 build dependency by automake.
  * Add libtool build dependency.
  * Bump Standard-Version to 3.7.3.
  * Use Homepage field.
  * Add Vcs-Browser and Vcs-Svn fields.
  * Update lintian override.
  * Update menu section to latest Debian menu policy.
  * Build with --as-needed linker flag.
  * Add clean target. Useful for create-buildprep script.
  * Add patches:
    * Update admin directory.
    * Update libtool.m4.in.
    * Fix ofximport plugin LDFLAGS.
    * Remove deprecated miniicon entry from desktop file.

  [Mark Purcell]
  * Remove get-orig-source targets. sf.net sillyness.

 -- Fathi Boudra <fabo@debian.org>  Sun, 23 Dec 2007 18:00:06 +0100

kmymoney2 (0.8.7-2) unstable; urgency=low

  * Don't build developer pdf docs, we didn't ship anyway
    - FTBFS: Bus error in ps2pdf14 (Closes: #434676)

 -- Mark Purcell <msp@debian.org>  Wed, 25 Jul 2007 22:05:51 +0100

kmymoney2 (0.8.7-1) unstable; urgency=low

  * New upstream release
    - Upstream changlog: Fixed #1723325 (Cannot quit the program)


=== debian/control ===
Source: kmymoney2-trinity
Section: kde
Priority: optional
Maintainer: Timothy Pearson <kb9vqf@pearsoncomputing.net>
XSBC-Original-Maintainer: Debian KDE Extras Team <pkg-kde-extras@lists.alioth.debian.org>
Uploaders: Mark Purcell <msp@debian.org>, Fathi Boudra <fabo@debian.org>
Build-Depends: debhelper (>= 7.0.50~), quilt, cdbs, chrpath, automake, libtool, kdelibs4-trinity-dev, libofx-dev, libsqlite3-dev, recode, html2ps
Standards-Version: 3.8.4

Package: kmymoney2-trinity
Architecture: any
Depends: ${shlibs:Depends}, ${shlibs:Misc}, ${misc:Depends}, kmymoney2-common-trinity (>= ${source:Version})
Replaces: kmymoney2-kde3 (<< 4:3.5.13)
Breaks: kmymoney2-kde3 (<< 4:3.5.13)
Recommends: kmymoney2-plugin-aqbanking-trinity
Description: personal finance manager for TDE
 KMyMoney is the Personal Finance Manager for TDE. It operates similar to
 MS-Money and Quicken, supports different account types, categorisation of
 expenses, QIF import/export, multiple currencies and initial online banking
 support.

Package: kmymoney2-common-trinity
Architecture: all
Depends: ${misc:Depends}
Replaces: kmymoney2-common-kde3 (<< 4:3.5.13)
Breaks: kmymoney2-common-kde3 (<< 4:3.5.13)
Recommends: kmymoney2-trinity (>= ${source:Version})
Description: KMyMoney architecture independent files
 This package contains architecture independent files needed for KMyMoney to
 run properly. It also provides KMyMoney documentation. Therefore, unless you
 have 'kmymoney2' package installed, you will hardly find this package useful.

Package: kmymoney2-trinity-dev
Section: libdevel
Architecture: any
Replaces: kmymoney2-kde3-dev (<< 4:3.5.13)
Breaks: kmymoney2-kde3-dev (<< 4:3.5.13)
Depends: ${misc:Depends}, kmymoney2-trinity (= ${binary:Version})
Description: KMyMoney development files
 This package contains development files needed for KMyMoney plugins.

=== debian/rules ===
#!/usr/bin/make -f

include /usr/share/cdbs/1/rules/debhelper.mk
include debian/cdbs/kde.mk
#include /usr/share/cdbs/1/rules/simple-patchsys.mk

DEB_CONFIGURE_INCLUDEDIR := /opt/trinity/include/kde
DEB_CONFIGURE_MANDIR := /opt/trinity/share/man
DEB_CONFIGURE_PREFIX := /opt/trinity
DEB_CONFIGURE_INFODIR := /opt/trinity/share/info

cdbs_configure_flags := --with-qt-dir=/usr/share/qt3 --disable-rpath --with-xinerama $(cdbs_kde_enable_final) $(cdbs_kde_enable_debug)

DEB_CONFIGURE_EXTRA_FLAGS := --prefix=/opt/trinity --with-extra-libs=/opt/trinity/lib --with-extra-includes=/opt/trinity/include/kde --disable-sqlite3

DEB_DH_BUILDDEB_ARGS += -- -Z$(shell dpkg-deb --help | grep -q ":.* xz[,.]" \
                               && echo xz || echo bzip2)

LDFLAGS += -Wl,--as-needed

post-patches:: debian/stamp-bootstrap

debian/stamp-bootstrap:
	! [ -f /usr/share/libtool/ltmain.sh ] || \
	cp -f /usr/share/libtool/ltmain.sh admin/ltmain.sh
	! [ -f /usr/share/libtool/config/ltmain.sh ] || \
	cp -f /usr/share/libtool/config/ltmain.sh admin/ltmain.sh
	cp -f /usr/share/aclocal/libtool.m4 admin/libtool.m4.in
	
	make -f admin/Makefile.common cvs
	touch debian/stamp-bootstrap

clean::
	rm -f po/*.gmo

## kmymoney2-trinity 14.0.4

=== debian/changelog ===
kmymoney2-trinity (4:14.0.4-0ubuntu16.10.0+0) yakkety; urgency=low

  * Automated git build for r14.0.4

 -- Slávek Banko <slavek.banko@axis.cz>  Sun, 23 Oct 2016 13:25:24 +0200

## kmymoney2-trinity 14.0.5

=== debian/changelog ===
kmymoney2-trinity (4:14.0.5-0ubuntu17.04.0+0) zesty; urgency=low

  * Automated git build for r14.0.5

 -- Slávek Banko <slavek.banko@axis.cz>  Fri, 27 Jul 2018 07:42:18 +0200

=== debian/control ===
Source: kmymoney2-trinity
Section: tde
Priority: optional
Maintainer: Timothy Pearson <kb9vqf@pearsoncomputing.net>
XSBC-Original-Maintainer: Debian KDE Extras Team <pkg-kde-extras@lists.alioth.debian.org>
Uploaders: Mark Purcell <msp@debian.org>, Fathi Boudra <fabo@debian.org>
Build-Depends: debhelper (>= 7.0.50~), quilt, cdbs, chrpath, automake, libtool, tdelibs14-trinity-dev, libofx-dev, libsqlite3-dev, libtqt3-mt-sqlite3, recode, html2ps
Standards-Version: 3.8.4

Package: kmymoney2-trinity
Architecture: any
Depends: ${shlibs:Depends}, ${shlibs:Misc}, ${misc:Depends}, kmymoney2-common-trinity (>= ${source:Version})
Replaces: kmymoney2-kde3 (<< 4:14.0.0~), kmymoney2-trinity (<< 4:14.0.0~)
Breaks: kmymoney2-kde3 (<< 4:14.0.0~), kmymoney2-trinity (<< 4:14.0.0~)
Recommends: kmymoney2-plugin-aqbanking-trinity
Description: personal finance manager for TDE
 KMyMoney is the Personal Finance Manager for TDE. It operates similar to
 MS-Money and Quicken, supports different account types, categorisation of
 expenses, QIF import/export, multiple currencies and initial online banking
 support.

Package: kmymoney2-common-trinity
Architecture: all
Depends: ${misc:Depends}
Replaces: kmymoney2-common-kde3 (<< 4:14.0.0~), kmymoney2-common-trinity (<< 4:14.0.0~)
Breaks: kmymoney2-common-kde3 (<< 4:14.0.0~), kmymoney2-common-trinity (<< 4:14.0.0~)
Recommends: kmymoney2-trinity (>= ${source:Version})
Description: KMyMoney architecture independent files
 This package contains architecture independent files needed for KMyMoney to
 run properly. It also provides KMyMoney documentation. Therefore, unless you
 have 'kmymoney2' package installed, you will hardly find this package useful.

Package: kmymoney2-trinity-dev
Section: libdevel
Architecture: any
Replaces: kmymoney2-kde3-dev (<< 4:14.0.0~), kmymoney2-trinity-dev (<< 4:14.0.0~)
Breaks: kmymoney2-kde3-dev (<< 4:14.0.0~), kmymoney2-trinity-dev (<< 4:14.0.0~)
Depends: ${misc:Depends}, kmymoney2-trinity (= ${binary:Version})
Description: KMyMoney development files
 This package contains development files needed for KMyMoney plugins.

## kmymoney2-trinity 14.0.6

=== debian/changelog ===
kmymoney2-trinity (4:14.0.6-0raspbian7.0.0+0) raspbian-wheezy; urgency=low

  * Automated git build for r14.0.6

 -- Slávek Banko <slavek.banko@axis.cz>  Wed, 06 Mar 2019 01:41:00 +0100

=== debian/rules ===
#!/usr/bin/make -f

include /usr/share/cdbs/1/rules/debhelper.mk
include debian/cdbs/kde.mk
#include /usr/share/cdbs/1/rules/patchsys-quilt.mk

DEB_CONFIGURE_INCLUDEDIR := /opt/trinity/include/tde
DEB_CONFIGURE_MANDIR := /opt/trinity/share/man
DEB_CONFIGURE_PREFIX := /opt/trinity
DEB_CONFIGURE_INFODIR := /opt/trinity/share/info

cdbs_configure_flags := --with-qt-dir=/usr/share/qt3 --disable-rpath --with-xinerama $(cdbs_kde_enable_final) $(cdbs_kde_enable_debug)

DEB_CONFIGURE_EXTRA_FLAGS := --prefix=/opt/trinity --with-extra-libs=/opt/trinity/lib --with-extra-includes=/opt/trinity/include --disable-pdf-docs

DEB_DH_BUILDDEB_ARGS += -- -Z$(shell dpkg-deb --help | grep -q ":.* xz[,.]" \
                               && echo xz || echo bzip2)

LDFLAGS += -Wl,--as-needed

post-patches:: debian/stamp-bootstrap

debian/stamp-bootstrap:
ifneq "$(wildcard /usr/share/libtool/ltmain.sh)" ""
	cp -f /usr/share/libtool/ltmain.sh admin/ltmain.sh
endif
ifneq "$(wildcard /usr/share/libtool/config/ltmain.sh)" ""
	cp -f /usr/share/libtool/config/ltmain.sh admin/ltmain.sh
endif
ifneq "$(wildcard /usr/share/libtool/build-aux/ltmain.sh)" ""
	cp -f /usr/share/libtool/build-aux/ltmain.sh admin/ltmain.sh
endif
	cp -f /usr/share/aclocal/libtool.m4 admin/libtool.m4.in
	
	make -f admin/Makefile.common cvs
	touch debian/stamp-bootstrap

clean::
	rm -f po/*.gmo

## kmymoney2-trinity 14.0.8

=== debian/changelog ===
kmymoney2-trinity (4:14.0.8-0ubuntu18.10.0+0) cosmic; urgency=low

  * Automated git build for r14.0.8

 -- Slávek Banko <slavek.banko@axis.cz>  Wed, 08 Apr 2020 10:49:34 +0200

## kmymoney2-trinity 14.0.9

=== debian/changelog ===
kmymoney2-trinity (4:14.0.9-0ubuntu19.04.0+0) disco; urgency=low

  * Automated git build for r14.0.9

 -- Slávek Banko <slavek.banko@axis.cz>  Fri, 09 Oct 2020 11:08:01 +0200

=== debian/watch ===
version=3
http://sf.net/kmymoney2/kmymoney2-([\d].[\d].[\d])\.tar\.bz2 debian svn-upgrade

## kmymoney2-trinity 14.0.10

=== debian/changelog ===
kmymoney2-trinity (4:14.0.10-0ubuntu19.10.0+0) eoan; urgency=low

  * Automated git build for r14.0.10

 -- Slávek Banko <slavek.banko@axis.cz>  Sun, 04 Apr 2021 16:10:05 +0200

## kmymoney2-trinity 14.0.11

=== debian/changelog ===
kmymoney2-trinity (4:14.0.11-0ubuntu14.04.0+0) trusty; urgency=low

  * Automated git build for r14.0.11
  * https://wiki.trinitydesktop.org/Changelog_For_R14.0.11#kmymoney

 -- Slávek Banko <slavek.banko@axis.cz>  Thu, 08 Jul 2021 00:35:06 +0200

=== debian/control ===
--- 
+++ 
@@ -1,10 +1,10 @@
 Source: kmymoney2-trinity
 Section: tde
 Priority: optional
-Maintainer: Timothy Pearson <kb9vqf@pearsoncomputing.net>
+Maintainer: TDE Debian Team <team-debian@trinitydesktop.org>
 XSBC-Original-Maintainer: Debian KDE Extras Team <pkg-kde-extras@lists.alioth.debian.org>
 Uploaders: Mark Purcell <msp@debian.org>, Fathi Boudra <fabo@debian.org>
-Build-Depends: debhelper (>= 7.0.50~), quilt, cdbs, chrpath, automake, libtool, tdelibs14-trinity-dev, libofx-dev, libsqlite3-dev, libtqt3-mt-sqlite3, recode, html2ps
+Build-Depends: debhelper (>= 9~), quilt, cdbs, chrpath, automake, libtool, tdelibs14-trinity-dev, libofx-dev, libsqlite3-dev, libtqt3-mt-sqlite3, recode, html2ps
 Standards-Version: 3.8.4
 
 Package: kmymoney2-trinity

=== debian/rules ===
--- 
+++ 
@@ -1,8 +1,7 @@
 #!/usr/bin/make -f
 
 include /usr/share/cdbs/1/rules/debhelper.mk
-include debian/cdbs/kde.mk
-#include /usr/share/cdbs/1/rules/patchsys-quilt.mk
+include debian/cdbs/debian-tde.mk
 
 DEB_CONFIGURE_INCLUDEDIR := /opt/trinity/include/tde
 DEB_CONFIGURE_MANDIR := /opt/trinity/share/man
@@ -12,9 +11,6 @@
 cdbs_configure_flags := --with-qt-dir=/usr/share/qt3 --disable-rpath --with-xinerama $(cdbs_kde_enable_final) $(cdbs_kde_enable_debug)
 
 DEB_CONFIGURE_EXTRA_FLAGS := --prefix=/opt/trinity --with-extra-libs=/opt/trinity/lib --with-extra-includes=/opt/trinity/include --disable-pdf-docs
-
-DEB_DH_BUILDDEB_ARGS += -- -Z$(shell dpkg-deb --help | grep -q ":.* xz[,.]" \
-                               && echo xz || echo bzip2)
 
 LDFLAGS += -Wl,--as-needed

## kmymoney2-trinity 14.0.12

=== debian/changelog ===
kmymoney2-trinity (4:14.0.12-0ubuntu20.10.0+0) groovy; urgency=low

  * Automated git build for r14.0.12
  * https://wiki.trinitydesktop.org/Changelog_For_R14.0.12#kmymoney

 -- Slávek Banko <slavek.banko@axis.cz>  Thu, 28 Apr 2022 23:32:11 +0200

## kmymoney2-trinity 14.0.13

=== debian/changelog ===
kmymoney2-trinity (4:14.0.13-0ubuntu22.10.0+0) kinetic; urgency=low

  * Automated git build for r14.0.13
  * https://wiki.trinitydesktop.org/Changelog_For_R14.0.13#kmymoney

 -- Slávek Banko <slavek.banko@axis.cz>  Thu, 29 Sep 2022 13:25:49 +0200

## kmymoney2-trinity 14.1.0

=== debian/changelog ===
kmymoney2-trinity (4:14.1.0-0ubuntu21.10.0+0) impish; urgency=low

  * Automated git build for r14.1.0
  * https://wiki.trinitydesktop.org/Changelog_For_R14.1.0#kmymoney

 -- Slávek Banko <slavek.banko@axis.cz>  Fri, 20 Jan 2023 22:26:39 +0100

## kmymoney2-trinity 14.1.1

=== debian/changelog ===
kmymoney2-trinity (4:14.1.1-0ubuntu16.04.0+0) xenial; urgency=low

  * Automated git build for r14.1.1
  * https://wiki.trinitydesktop.org/Changelog_For_R14.1.1#kmymoney

 -- Slávek Banko <slavek.banko@axis.cz>  Thu, 28 Sep 2023 04:41:02 +0200

=== debian/control ===
--- 
+++ 
@@ -4,7 +4,7 @@
 Maintainer: TDE Debian Team <team-debian@trinitydesktop.org>
 XSBC-Original-Maintainer: Debian KDE Extras Team <pkg-kde-extras@lists.alioth.debian.org>
 Uploaders: Mark Purcell <msp@debian.org>, Fathi Boudra <fabo@debian.org>
-Build-Depends: debhelper (>= 9~), quilt, cdbs, chrpath, automake, libtool, tdelibs14-trinity-dev, libofx-dev, libsqlite3-dev, libtqt3-mt-sqlite3, recode, html2ps
+Build-Depends: cdbs, debhelper (>= 9~), quilt, tde-cmake, ninja-build, tdelibs14-trinity-dev, libofx-dev, libsqlite3-dev, libtqt3-mt-sqlite3
 Standards-Version: 3.8.4
 
 Package: kmymoney2-trinity

## kmymoney2-trinity 14.1.2

=== debian/changelog ===
kmymoney2-trinity (4:14.1.2-0ubuntu22.10.0+0) kinetic; urgency=low

  * Automated git build for r14.1.2
  * https://wiki.trinitydesktop.org/Changelog_For_R14.1.2#kmymoney

 -- Slávek Banko <slavek.banko@axis.cz>  Mon, 22 Apr 2024 00:31:47 +0200

## kmymoney2-trinity 14.1.3

=== debian/changelog ===
kmymoney2-trinity (4:14.1.3-0raspbian10.0.0+0) raspbian-buster; urgency=low

  * Automated git build for r14.1.3
  * https://wiki.trinitydesktop.org/Changelog_For_R14.1.3#kmymoney

 -- Slávek Banko <slavek.banko@axis.cz>  Thu, 29 Aug 2024 23:09:48 +0200

=== debian/control ===
Source: kmymoney2-trinity
Section: tde
Priority: optional
Maintainer: TDE Debian Team <team-debian@trinitydesktop.org>
XSBC-Original-Maintainer: Debian KDE Extras Team <pkg-kde-extras@lists.alioth.debian.org>
Uploaders: Mark Purcell <msp@debian.org>, Fathi Boudra <fabo@debian.org>
Build-Depends: cdbs, debhelper (>= 10~), quilt, tde-cmake, ninja-build, tdelibs14-trinity-dev, libofx-dev, libsqlite3-dev, libtqt3-mt-sqlite3
Standards-Version: 3.8.4

Package: kmymoney2-trinity
Architecture: any
Depends: ${shlibs:Depends}, ${shlibs:Misc}, ${misc:Depends}, kmymoney2-common-trinity (>= ${source:Version})
Replaces: kmymoney2-trinity (<< 4:14.0.0~)
Breaks: kmymoney2-trinity (<< 4:14.0.0~)
Recommends: kmymoney2-plugin-aqbanking-trinity
Description: personal finance manager for TDE
 KMyMoney is the Personal Finance Manager for TDE. It operates similar to
 MS-Money and Quicken, supports different account types, categorisation of
 expenses, QIF import/export, multiple currencies and initial online banking
 support.

Package: kmymoney2-common-trinity
Architecture: all
Depends: ${misc:Depends}
Replaces: kmymoney2-common-trinity (<< 4:14.0.0~)
Breaks: kmymoney2-common-trinity (<< 4:14.0.0~)
Recommends: kmymoney2-trinity (>= ${source:Version})
Description: KMyMoney architecture independent files
 This package contains architecture independent files needed for KMyMoney to
 run properly. It also provides KMyMoney documentation. Therefore, unless you
 have 'kmymoney2' package installed, you will hardly find this package useful.

Package: kmymoney2-trinity-dev
Section: libdevel
Architecture: any
Replaces: kmymoney2-trinity-dev (<< 4:14.0.0~)
Breaks: kmymoney2-trinity-dev (<< 4:14.0.0~)
Depends: ${misc:Depends}, kmymoney2-trinity (= ${binary:Version})
Description: KMyMoney development files
 This package contains development files needed for KMyMoney plugins.

## kmymoney2-trinity 14.1.4

=== debian/changelog ===
kmymoney2-trinity (4:14.1.4-0ubuntu25.04.0+0) plucky; urgency=low

  * Automated git build for r14.1.4
  * https://wiki.trinitydesktop.org/Changelog_For_R14.1.4#kmymoney

 -- Slávek Banko <slavek.banko@axis.cz>  Mon, 21 Apr 2025 23:11:26 +0200

## kmymoney2-trinity 14.1.5~pre1

=== debian/changelog ===
kmymoney2-trinity (4:14.1.5~pre1-0ubuntu18.04.0+3) bionic; urgency=low

  * Automated git build for 1492adbbf398f4a06fb3a8e999128c3ac1780dbe
  * https://wiki.trinitydesktop.org/Changelog_For_R14.1.5#kmymoney

 -- Slávek Banko <slavek.banko@axis.cz>  Mon, 15 Sep 2025 08:52:09 +0200

=== debian/control ===
Source: kmymoney2-trinity
Section: tde
Priority: optional
Maintainer: TDE Debian Team <team-debian@trinitydesktop.org>
XSBC-Original-Maintainer: Debian KDE Extras Team <pkg-kde-extras@lists.alioth.debian.org>
Uploaders: Mark Purcell <msp@debian.org>, Fathi Boudra <fabo@debian.org>
Build-Depends: tde-cdbs, debhelper (>= 10~), quilt, tde-cmake, ninja-build, tdelibs14-trinity-dev, libofx-dev, libsqlite3-dev, libtqt3-mt-sqlite3
Standards-Version: 3.8.4

Package: kmymoney2-trinity
Architecture: any
Depends: ${shlibs:Depends}, ${shlibs:Misc}, ${misc:Depends}, kmymoney2-common-trinity (>= ${source:Version})
Replaces: kmymoney2-kde3 (<< 4:14.0.0~), kmymoney2-trinity (<< 4:14.0.0~)
Breaks: kmymoney2-kde3 (<< 4:14.0.0~), kmymoney2-trinity (<< 4:14.0.0~)
Recommends: kmymoney2-plugin-aqbanking-trinity
Description: personal finance manager for TDE
 KMyMoney is the Personal Finance Manager for TDE. It operates similar to
 MS-Money and Quicken, supports different account types, categorisation of
 expenses, QIF import/export, multiple currencies and initial online banking
 support.

Package: kmymoney2-common-trinity
Architecture: all
Depends: ${misc:Depends}
Replaces: kmymoney2-common-kde3 (<< 4:14.0.0~), kmymoney2-common-trinity (<< 4:14.0.0~)
Breaks: kmymoney2-common-kde3 (<< 4:14.0.0~), kmymoney2-common-trinity (<< 4:14.0.0~)
Recommends: kmymoney2-trinity (>= ${source:Version})
Description: KMyMoney architecture independent files
 This package contains architecture independent files needed for KMyMoney to
 run properly. It also provides KMyMoney documentation. Therefore, unless you
 have 'kmymoney2' package installed, you will hardly find this package useful.

Package: kmymoney2-trinity-dev
Section: libdevel
Architecture: any
Replaces: kmymoney2-kde3-dev (<< 4:14.0.0~), kmymoney2-trinity-dev (<< 4:14.0.0~)
Breaks: kmymoney2-kde3-dev (<< 4:14.0.0~), kmymoney2-trinity-dev (<< 4:14.0.0~)
Depends: ${misc:Depends}, kmymoney2-trinity (= ${binary:Version})
Description: KMyMoney development files
 This package contains development files needed for KMyMoney plugins.

## kmymoney2-trinity 14.1.5

=== debian/changelog ===
kmymoney2-trinity (4:14.1.5-0ubuntu22.04.0+0) jammy; urgency=low

  * Automated git build for r14.1.5
  * https://wiki.trinitydesktop.org/Changelog_For_R14.1.5#kmymoney

 -- Slávek Banko <slavek.banko@axis.cz>  Mon, 03 Nov 2025 22:11:58 +0100

=== debian/rules ===
#!/usr/bin/make -f

include /usr/share/cdbs/1/rules/debhelper.mk
-include /usr/share/cdbs/1/class/tde.mk

DEB_CMAKE_EXTRA_FLAGS := \
 -DCMAKE_EXPORT_COMPILE_COMMANDS="ON" \
 -DCMAKE_INSTALL_PREFIX="/opt/trinity" \
 -DCONFIG_INSTALL_DIR="/etc/trinity" \
 -DSYSCONF_INSTALL_DIR="/etc/trinity" \
 -DXDG_MENU_INSTALL_DIR="/etc/xdg/menus" \
 -DCMAKE_BUILD_TYPE=RelWithDebInfo \
 -DCMAKE_VERBOSE_MAKEFILE="ON" \
 -DCMAKE_SKIP_RPATH="OFF" \
 -DBUILD_ALL="ON" \
 -DWITH_ALL_OPTIONS="ON" \
 -DBUILD_DEVELOPER_DOCS="OFF"

## kmymoney2-trinity 14.1.6~pre1

=== debian/changelog ===
kmymoney2-trinity (4:14.1.6~pre1-0ubuntu26.04.0+0~a) resolute; urgency=low

  * Automated git build for 415291e4fd08e0a0232fe035d0f8748fabe63fee
  * https://wiki.trinitydesktop.org/Changelog_For_R14.1.6#kmymoney

 -- Slávek Banko <slavek.banko@axis.cz>  Mon, 10 Nov 2025 22:37:00 +0100

## kmymoney2-trinity 14.1.6~pre2

=== debian/changelog ===
kmymoney2-trinity (4:14.1.6~pre2-0ubuntu26.04.0+0~a) resolute; urgency=low

  * Automated git build for 12ccffc7e701124fa4dab3b9a5dc3ec4d4b675c5
  * https://wiki.trinitydesktop.org/Changelog_For_R14.1.6#kmymoney

 -- Slávek Banko <slavek.banko@axis.cz>  Sun, 14 Dec 2025 05:54:21 +0100

## kmymoney2-trinity 14.1.6~pre4

=== debian/changelog ===
kmymoney2-trinity (4:14.1.6~pre4-0ubuntu26.04.0+0~a) resolute; urgency=low

  * Automated git build for 52aa61e9725698f47a1bc26c0e283e67f13d6646
  * https://wiki.trinitydesktop.org/Changelog_For_R14.1.6#kmymoney

 -- Slávek Banko <slavek.banko@axis.cz>  Sun, 01 Feb 2026 09:26:53 +0100

## kmymoney2-trinity 14.2.0~pre66

=== debian/changelog ===
kmymoney2-trinity (4:14.2.0~pre66-0ubuntu25.10.0+6) questing; urgency=low

  * Automated git build for f49fd2dc8e23f80732e79fa0eb80ff1059fa33b3
  * https://wiki.trinitydesktop.org/Changelog_For_R14.2.0#kmymoney

 -- Slávek Banko <slavek.banko@axis.cz>  Sun, 14 Sep 2025 20:29:16 +0200

## kmymoney2-trinity 14.2.0~pre68

=== developer-doc/CMakeLists.txt ===

add_subdirectory( phb )

=== developer-doc/phb/CMakeLists.txt ===

set( STYLESHEET tde-nochunk.xsl )


##### generate developer documentation

add_custom_command(
  OUTPUT phb.html
  COMMENT "Generating developer documentation"
  COMMAND ${KDE3_MEINPROC_EXECUTABLE}
    --stylesheet ${DATA_INSTALL_DIR}/ksgmltools2/customization/${STYLESHEET}
    ${CMAKE_CURRENT_SOURCE_DIR}/phb.docbook --stdout |
    ${ICONV_EXECUTABLE} -f ISO-8859-1 -t UTF-8 |
    ${SED_EXECUTABLE} "s/ISO-8859-1/UTF-8/g" > phb.html
)
add_custom_target( phb-docs-html ALL
  DEPENDS ${CMAKE_CURRENT_BINARY_DIR}/phb.html
)


##### generate pdf for developer documentation

if( BUILD_PDF_DOCS)
  add_custom_command(
    OUTPUT kmymoney-phb.pdf
    COMMENT "Generating pdf for developer documentation"
    COMMAND ${KDE3_MEINPROC_EXECUTABLE}
      --stylesheet ${DATA_INSTALL_DIR}/ksgmltools2/customization/${STYLESHEET}
      ${CMAKE_CURRENT_SOURCE_DIR}/phb.docbook --stdout |
      ${HTML2PS_EXECUTABLE} -n |
      ${PS2PDF_EXECUTABLE} - kmymoney-phb.pdf
  )
  add_custom_target( phb-docs-pdf ALL
    DEPENDS ${CMAKE_CURRENT_BINARY_DIR}/kmymoney-phb.pdf
  )
endif()

=== kmymoney2/icons/CMakeLists.txt ===

file( GLOB _themes RELATIVE ${CMAKE_CURRENT_SOURCE_DIR} * )
list( SORT _themes )

foreach( _theme IN LISTS _themes )
  if( NOT IS_DIRECTORY ${CMAKE_CURRENT_SOURCE_DIR}/${_theme} )
    list( REMOVE_ITEM _themes "${_theme}" )
  endif()
endforeach()

install(
   DIRECTORY ${_themes}
   DESTINATION ${DATA_INSTALL_DIR}/kmymoney2/icons
   FILES_MATCHING
     PATTERN "*.gif"
     PATTERN "*.png"
     PATTERN "*.svgz"
)

=== kmymoney2/misc/CMakeLists.txt ===

install(
  FILES financequote.pl
  DESTINATION ${DATA_INSTALL_DIR}/kmymoney2/misc
)

=== kmymoney2/dialogs/settings/CMakeLists.txt ===

include_directories(
  ${CMAKE_BINARY_DIR}
  ${CMAKE_SOURCE_DIR}
  ${CMAKE_BINARY_DIR}/include
  ${CMAKE_CURRENT_BINARY_DIR}
  ${CMAKE_CURRENT_SOURCE_DIR}
  ${TDE_INCLUDE_DIR}
  ${TQT_INCLUDE_DIRS}
)

link_directories(
  ${TQT_LIBRARY_DIRS}
)


##### settings (static)

tde_add_library( settings STATIC_PIC AUTOMOC
  SOURCES
    ksettingsgeneraldecl.ui
    ksettingsgeneral.cpp
    ksettingsregisterdecl.ui
    ksettingsregister.cpp
    ksettingsgpgdecl.ui
    ksettingsgpg.cpp
    ksettingscolorsdecl.ui
    ksettingscolors.cpp
    ksettingsfontsdecl.ui
    ksettingsfonts.cpp
    ksettingsschedulesdecl.ui
    ksettingsschedules.cpp
    ksettingsonlinequotesdecl.ui
    ksettingsonlinequotes.cpp
    ksettingshomedecl.ui
    ksettingshome.cpp
    ksettingsforecastdecl.ui
    ksettingsforecast.cpp
    ksettingsplugins.cpp

  LINK
    converter-static

  DEPENDENCIES
    kmm-includes
)

=== kmymoney2/mymoney/storage/CMakeLists.txt ===

include_directories(
  ${CMAKE_BINARY_DIR}
  ${CMAKE_SOURCE_DIR}
  ${CMAKE_BINARY_DIR}/include
  ${CMAKE_CURRENT_BINARY_DIR}
  ${CMAKE_CURRENT_SOURCE_DIR}
  ${TDE_INCLUDE_DIR}
  ${TQT_INCLUDE_DIRS}
)

link_directories(
  ${TQT_LIBRARY_DIRS}
)


##### storage (static)

tde_add_library( storage STATIC_PIC AUTOMOC
  SOURCES
    imymoneystorageformat.cpp
    mymoneystoragexml.cpp
    mymoneystoragedump.cpp
    mymoneyseqaccessmgr.cpp
    mymoneydatabasemgr.cpp
    imymoneystorage.cpp
    imymoneyserialize.cpp
    mymoneystorageanon.cpp
    mymoneystoragesql.cpp

  DEPENDENCIES
    kmm-includes
)


##### storagetest (static)

tde_add_library( storagetest STATIC_PIC AUTOMOC
  SOURCES
    mymoneyseqaccessmgrtest.cpp
    mymoneymaptest.cpp
    mymoneydatabasemgrtest.cpp

  LINK
    storage-static

  DEPENDENCIES
    kmm-includes

  EXCLUDE_FROM_ALL
)


##### other data

kmm_install_includes(
  FILES
    imymoneystorage.h
    imymoneyserialize.h
    imymoneystorageformat.h
    mymoneystoragesql.h
  DESTINATION ${INCLUDE_INSTALL_DIR}/kmymoney
)

=== kmymoney2/wizards/wizardpages/CMakeLists.txt ===

include_directories(
  ${CMAKE_BINARY_DIR}
  ${CMAKE_SOURCE_DIR}
  ${CMAKE_BINARY_DIR}/include
  ${CMAKE_CURRENT_BINARY_DIR}
  ${CMAKE_CURRENT_SOURCE_DIR}
  ${TDE_INCLUDE_DIR}
  ${TQT_INCLUDE_DIRS}
)

link_directories(
  ${TQT_LIBRARY_DIRS}
)


##### wizardpages (static)

tde_add_library( wizardpages STATIC_PIC AUTOMOC
  SOURCES
    userinfodecl.ui
    userinfo.cpp
    currencydecl.ui
    currency.cpp
    accountsdecl.ui
    accounts.cpp

  DEPENDENCIES
    kmm-includes
)

=== debian/changelog ===
kmymoney2-trinity (4:14.2.0~pre68-0ubuntu26.04.0+6~a) resolute; urgency=low

  * Automated git build for 52a4130ab10fc94f44502f9df3397391b81b962e
  * https://wiki.trinitydesktop.org/Changelog_For_R14.2.0#kmymoney

 -- Slávek Banko <slavek.banko@axis.cz>  Sun, 09 Nov 2025 14:16:29 +0100

## kmymoney2-trinity 14.2.0~pre69

=== debian/changelog ===
kmymoney2-trinity (4:14.2.0~pre69-0ubuntu26.04.0+6~a) resolute; urgency=low

  * Automated git build for 8f230b314e64ad60634ef44f6db6865c02f28a1c
  * https://wiki.trinitydesktop.org/Changelog_For_R14.2.0#kmymoney

 -- Slávek Banko <slavek.banko@axis.cz>  Sun, 14 Dec 2025 05:02:05 +0100

## kmymoney2-trinity 14.2.0~pre71

=== kmymoney2/widgets/CMakeLists.txt ===

include_directories(
  ${CMAKE_BINARY_DIR}
  ${CMAKE_SOURCE_DIR}
  ${CMAKE_BINARY_DIR}/include
  ${CMAKE_CURRENT_BINARY_DIR}
  ${CMAKE_CURRENT_SOURCE_DIR}
  ${TDE_INCLUDE_DIR}
  ${TQT_INCLUDE_DIRS}
)

link_directories(
  ${TQT_LIBRARY_DIRS}
)


##### generate kmmwidgets.cpp

add_custom_command(
  OUTPUT kmmwidgets.cpp
  COMMENT "Generating kmymoney2/widgets/kmmwidgets.cpp"
  COMMAND ${KDE3_MAKETDEWIDGETS_EXECUTABLE}
    -g KMyMoney -n CustomWidgetPlugin -o kmmwidgets.cpp
    ${CMAKE_CURRENT_SOURCE_DIR}/kmymoney.widgets
  DEPENDS ${CMAKE_CURRENT_SOURCE_DIR}/kmymoney.widgets
)


##### widgets (static)

tde_add_library( widgets STATIC_PIC AUTOMOC
  SOURCES
    kbudgetvalues.cpp
    kbudgetvaluesdecl.ui
    kguiutils.cpp
    tdelistviewsearchline.cpp
    kmymoneyaccountcombo.cpp
    kmymoneyaccountcompletion.cpp
    kmymoneyaccountselector.cpp
    kmymoneyaccounttreebase.cpp
    kmymoneyaccounttree.cpp
    kmymoneyaccounttreebudget.cpp
    kmymoneyaccounttreeforecast.cpp
    kmymoneybriefschedule.cpp
    kmymoneycalculator.cpp
    kmymoneycalendar.cpp
    kmymoneycategory.cpp
    kmymoneychecklistitem.cpp
    kmymoneycombo.cpp
    kmymoneycompletion.cpp
    kmymoneycurrencyselector.cpp
    kmymoneydateinput.cpp
    kmymoneydatetbl.cpp
    kmymoneyedit.cpp
    kmymoneyforecastlistviewitem.cpp
    kmymoneygpgconfig.cpp
    kmymoneygpgconfigdecl.ui
    kmymoneylineedit.cpp
    kmymoneylistviewitem.cpp
    kmymoneyonlinequoteconfig.cpp
    kmymoneyonlinequoteconfigdecl.ui
    kmymoneypriceview.cpp
    kmymoneyreportconfigtab1decl.ui
    kmymoneyreportconfigtab2decl.ui
    kmymoneyreportconfigtab3decl.ui
    kmymoneyreportconfigtabchartdecl.ui
    kmymoneyreportcontroldecl.ui
    kmymoneyscheduledcalendar.cpp
    kmymoneyscheduleddatetbl.cpp
    kmymoneyselector.cpp
    kmymoneytitlelabel.cpp
    kmymoneywizard.cpp
    kschedulebriefwidget.ui
    register.cpp
    registeritem.cpp
    registersearchline.cpp
    transaction.cpp
    scheduledtransaction.cpp
    stdtransactiondownloaded.cpp
    stdtransactionmatched.cpp
    transactioneditorcontainer.cpp
    transactionform.cpp
    kaccounttemplateselectordecl.ui
    kaccounttemplateselector.cpp
    transactionsortoption.ui
    selectedtransaction.cpp

  LINK
    tdeui-shared

  DEPENDENCIES
    kmm-includes
)


##### kmymoney (shared)

if( BUILD_DESIGNER_PLUGIN )

  add_custom_target( kmm-widgets-generated
    DEPENDS
      ${CMAKE_CURRENT_BINARY_DIR}/kbudgetvaluesdecl.cpp
      ${CMAKE_CURRENT_BINARY_DIR}/kbudgetvaluesdecl.h
      ${CMAKE_CURRENT_BINARY_DIR}/kaccounttemplateselectordecl.cpp
      ${CMAKE_CURRENT_BINARY_DIR}/kaccounttemplateselectordecl.h
      ${CMAKE_CURRENT_BINARY_DIR}/kmmwidgets.cpp
      ${CMAKE_CURRENT_BINARY_DIR}/transactionsortoption.cpp
      ${CMAKE_CURRENT_BINARY_DIR}/transactionsortoption.h
  )

  tde_add_library( kmymoney SHARED AUTOMOC
    SOURCES
      kmymoneycompletion.cpp
      kmymoneyaccountcombo.cpp
      kmymoneyaccountcompletion.cpp
      kmymoneycurrencyselector.cpp
      kmymoneyaccountselector.cpp
      kmymoneydatetbl.cpp
      kmymoneycalculator.cpp
      kmymoneycategory.cpp
      kmymoneycombo.cpp
      kmymoneylineedit.cpp
      kmymoneyedit.cpp
      kmymoneydateinput.cpp
      kmymoneyaccounttree.cpp
      kmymoneytitlelabel.cpp
      kguiutils.cpp
      kmymoneyaccounttreebase.cpp
      kmymoneyaccounttreebudget.cpp
      kmymoneyaccounttreeforecast.cpp
      register.cpp
      registeritem.cpp
      transaction.cpp
      scheduledtransaction.cpp
      selectedtransaction.cpp
      stdtransactiondownloaded.cpp
      stdtransactionmatched.cpp
      transactionform.cpp
      kmymoneychecklistitem.cpp
      kmymoneylistviewitem.cpp
      kmymoneyselector.cpp
      kbudgetvalues.cpp
      kaccounttemplateselector.cpp

      ${CMAKE_CURRENT_BINARY_DIR}/kbudgetvaluesdecl.cpp
      ${CMAKE_CURRENT_BINARY_DIR}/kaccounttemplateselectordecl.cpp
      ${CMAKE_CURRENT_BINARY_DIR}/kmmwidgets.cpp
      ${CMAKE_CURRENT_BINARY_DIR}/transactionsortoption.cpp

      void-timetrace.cpp

    LINK
      kmymoneysettings-static
      kmm_mymoney-static
      kmm_kdchart-static
      converter-static
      dialogs-static
      reports-static
      storage-static
      tdecore-shared tdeui-shared tdeio-shared

    DEPENDENCIES
      kmm-includes
      kmm-widgets-generated

    DESTINATION "${TQT_PLUGINS_DIR}/designer"
  )

  # Make sure to compile the TQt designer version.
  set_property(
    TARGET kmymoney-shared
    APPEND PROPERTY COMPILE_DEFINITIONS KMM_DESIGNER
  )

endif()


##### other data

kmm_install_includes(
  FILES
    kmymoneydateinput.h
    kmymoneyedit.h
    kmymoneytitlelabel.h
    kmymoneyaccountselector.h
    kmymoneycategory.h
    kmymoneyaccounttreebase.h
    kmymoneyaccounttree.h
    kmymoneycurrencyselector.h
    kguiutils.h
    kmymoneywizard.h
    kmymoneyaccounttreebudget.h
    kmymoneyaccounttreeforecast.h
    kmymoneyaccountcombo.h
    register.h
    registeritem.h
    transaction.h
    scheduledtransaction.h
    stdtransactiondownloaded.h
    stdtransactionmatched.h
    selectedtransaction.h
    transactionform.h
    transactioneditorcontainer.h
    kmymoneylineedit.h
    kmymoneychecklistitem.h
    kmymoneylistviewitem.h
    kmymoneyforecastlistviewitem.h
    kmymoneyselector.h
    kmymoneyaccountcompletion.h
    kmymoneycompletion.h
    kmymoneycombo.h
    kbudgetvalues.h
    kaccounttemplateselector.h
    ${CMAKE_CURRENT_BINARY_DIR}/kbudgetvaluesdecl.h
    ${CMAKE_CURRENT_BINARY_DIR}/transactionsortoption.h
  DESTINATION ${INCLUDE_INSTALL_DIR}/kmymoney
)

=== debian/changelog ===
kmymoney2-trinity (4:14.2.0~pre71-0ubuntu26.04.0+6~a) resolute; urgency=low

  * Automated git build for 971b30636f0ff9c089de972218cfcc64c4842737
  * https://wiki.trinitydesktop.org/Changelog_For_R14.2.0#kmymoney

 -- Slávek Banko <slavek.banko@axis.cz>  Sun, 01 Feb 2026 02:42:30 +0100
